## magic 8.0.210

=== calma/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/calma/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE =    calma
MAGICDIR =  ..
SRCS =      CalmaRead.c CalmaRdcl.c CalmaRdio.c CalmaRdpt.c CalmaWrite.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== dbwind/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/dbwind/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = dbwind
MAGICDIR  = ..
SRCS      = DBWcommands.c DBWdisplay.c DBWbuttons.c DBWelement.c \
	    DBWfdback.c DBWhlights.c DBWprocs.c DBWtools.c DBWundo.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== ext2sim/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/ext2sim/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE   = ext2sim
MAGICDIR = ..
SRCS     = ext2sim.c

EXTRA_LIBS  = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += exttosim${SHDLIB_EXT} simwrap.o

main: ext2sim

tcl-main: exttosim${SHDLIB_EXT}

simwrap.o: ext2sim.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2sim.c -c -o simwrap.o

exttosim${SHDLIB_EXT}: simwrap.o ${MAGICDIR}/extflat/libextflat.o
	@echo --- making exttosim Tcl library \(exttosim${SHDLIB_EXT}\)
	${RM} exttosim${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} simwrap.o \
		${MAGICDIR}/extflat/libextflat.o ${LD_SHARED} -lc ${LIBS}

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT}

install-tcl: $(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}: exttosim${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}
	${CP} exttosim${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/exttosim${SHDLIB_EXT}

include ${MAGICDIR}/rules.mak

=== ext2spice/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/ext2spice/Makefile,v 1.2 2010/08/10 00:18:45 tim Exp $"
#

MODULE   = ext2spice
MAGICDIR = ..
SRCS     = ext2spice.c ext2hier.c

EXTRA_LIBS = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm ${LD_EXTRA_LIBS} ${SUB_EXTRA_LIBS}
CLEANS += exttospice${SHDLIB_EXT} spicewrap.o spicehier.o

main: ext2spice

tcl-main: exttospice${SHDLIB_EXT}

spicewrap.o: ext2spice.c ext2spice.h
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2spice.c -c -o spicewrap.o

spicehier.o: ext2hier.c ext2spice.h
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ext2hier.c -c -o spicehier.o

exttospice${SHDLIB_EXT}: spicewrap.o spicehier.o ${MAGICDIR}/extflat/libextflat.o
	@echo --- making exttospice Tcl library \(exttospice${SHDLIB_EXT}\)
	${RM} exttospice${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} spicewrap.o spicehier.o \
		${MAGICDIR}/extflat/libextflat.o ${LD_SHARED} -lc ${LIBS}

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${BINDIR}/spice2sim 

install-tcl: $(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT} $(DESTDIR)${BINDIR}/spice2sim

$(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT}: exttospice${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT}
	${CP} exttospice${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/exttospice${SHDLIB_EXT}

$(DESTDIR)${BINDIR}/spice2sim: spice2sim
	${RM} $(DESTDIR)${BINDIR}/spice2sim
	${CP} spice2sim $(DESTDIR)${BINDIR}/spice2sim

include ${MAGICDIR}/rules.mak

=== extcheck/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/extcheck/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#
 
MODULE   = extcheck
MAGICDIR = ..
SRCS     = extcheck.c

EXTRA_LIBS = ${MAGICDIR}/extflat/libextflat.o ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

LIBS += -lm

main: extcheck

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT}

install-tcl:
	echo "Nothing to do here"

include ${MAGICDIR}/rules.mak

=== extflat/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/extflat/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = extflat
MAGICDIR  = ..
SRCS      = EFargs.c EFbuild.c EFdef.c EFerr.c EFflat.c EFhier.c EFname.c \
            EFread.c EFsym.c EFvisit.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== graphics/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/graphics/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = graphics
MAGICDIR  = ..
BASE_SRCS = grMain.c grLock.c grDStyle.c grText.c grCMap.c grClip.c \
            grGlyphs.c grNull.c W3Dmain.c
X11_SRCS  = grX11su1.c grX11su2.c grX11su3.c grX11su4.c grX11su5.c
TK_SRCS   = grTk1.c grTk2.c grTk3.c grTk4.c grTk5.c
TOGL_SRCS = grTOGL1.c grTOGL2.c grTOGL3.c grTOGL4.c grTOGL5.c
OGL_SRCS  = grOGL1.c grOGL2.c grOGL3.c grOGL4.c grOGL5.c

GLYPHS = bw.glyphs color.glyphs
OUTLINE_FONTS = FreeSerif.pt3 FreeSans.pt3 FreeMono.pt3

TKCOMMON_SRCS  = grTkCommon.c
X11THREAD_SRCS = grX11thread.c
X11HELPER_SRCS = X11Helper.c
X11HELP_PROG   = XHelper7

# Sets ${GR_SRCS} to one or more of the above
include ${MAGICDIR}/defs.mak

SRCS    = ${BASE_SRCS} ${GR_SRCS}
DEPSRCS = ${BASE_SRCS} ${X11_SRCS} ${TK_SRCS} ${TOGL_SRCS} ${TKCOMMON_SRCS} \
		${OGL_SRCS} ${X11HELPER_SRCS} ${X11THREAD_SRCS}
OBJS    = ${BASE_SRCS:.c=.o} ${GR_SRCS:.c=.o}
CFLAGS += ${GR_CFLAGS}
DFLAGS += ${GR_DFLAGS}
CLEANS += ${GR_HELPER_PROG} *.o
LIBS   += ${GR_LIBS}

main: ${GR_HELPER_PROG}

${GR_HELPER_PROG}: ${GR_HELPER_SRCS}
	@echo --- building main ${GR_HELPER_PROG}
	${RM} ${GR_HELPER_PROG}
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ${GR_HELPER_SRCS} \
		-o ${GR_HELPER_PROG} ${LIBS}

install: $(DESTDIR)${BINDIR}/${GR_HELPER_PROG} glyphs fonts

install-tcl: glyphs fonts

$(DESTDIR)${BINDIR}/${GR_HELPER_PROG}: ${GR_HELPER_PROG}
	${RM} $(DESTDIR)${BINDIR}/${GR_HELPER_PROG}
	${CP} ${GR_HELPER_PROG} $(DESTDIR)${BINDIR}

glyphs: ${GLYPHS}
	for i in ${GLYPHS}; do \
	${RM} $(DESTDIR)${SYSDIR}/$$i; \
	${CP} $$i $(DESTDIR)${SYSDIR}; done

fonts: ${OUTLINE_FONTS}
	for i in ${OUTLINE_FONTS}; do \
	${RM} $(DESTDIR)${SYSDIR}/$$i; \
	${CP} $$i $(DESTDIR)${SYSDIR}; done

include ${MAGICDIR}/rules.mak

=== irouter/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/irouter/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = irouter
MAGICDIR  = ..
SRCS      = irCommand.c irMain.c irRoute.c irTestCmd.c irUtils.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== magic/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/magic/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE   = magic
MAGICDIR = ..
SRCS     = magicTop.c

include ${MAGICDIR}/defs.mak

EXTRA_LIBS = ${MAGICDIR}/cmwind/libcmwind.o ${MAGICDIR}/commands/libcommands.o \
	    ${MAGICDIR}/database/libdatabase.o ${MAGICDIR}/dbwind/libdbwind.o \
	    ${MAGICDIR}/drc/libdrc.o ${MAGICDIR}/debug/libdebug.o \
	    ${MAGICDIR}/extract/libextract.o ${MAGICDIR}/graphics/libgraphics.o \
	    ${MAGICDIR}/select/libselect.o ${MAGICDIR}/textio/libtextio.o \
	    ${MAGICDIR}/tiles/libtiles.o ${MAGICDIR}/windows/libwindows.o \
	    ${MAGICDIR}/wiring/libwiring.o ${MAGICDIR}/resis/libresis.o \
	    ${MAGICDIR}/sim/libsim.o ${MAGICDIR}/netmenu/libnetmenu.o \
	    ${MAGICDIR}/plow/libplow.o ${MAGICDIR}/utils/libutils.o \
	    ${MAIN_EXTRA_LIBS}

BITMAPS = up.xbm down.xbm left.xbm right.xbm zoom.xbm
DEST_XBM = $(BITMAPS:%=$(DESTDIR)${TCLDIR}/bitmaps/%)

DFLAGS += -DMAGIC_DATE="\"`date`\""
LIBS   += ${GR_LIBS} ${READLINE_LIBS} -lm ${LD_EXTRA_LIBS} \
		${OA_LIBS} ${TOP_EXTRA_LIBS}
CLEANS += tclmagic${SHDLIB_EXT} libtclmagic${SHDLIB_EXT}.a proto.magicrc

main: magic proto.magicrc

tcl-main: tclmagic${SHDLIB_EXT} proto.magicrc

tclmagic${SHDLIB_EXT}: ${EXTRA_LIBS}
	@echo --- making magic Tcl library \(tclmagic${SHDLIB_EXT}\)
	${RM} tclmagic${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} ${LD_RUN_PATH} \
		${EXTRA_LIBS} -lc ${LIBS}

proto.magicrc: proto.magicrc.m4
	sed -e /CAD_DIR/s%CAD_DIR%${LIBDIR}%g proto.magicrc.m4 | \
		${M4} ${GR_DFLAGS} ${DFLAGS} > proto.magicrc

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${SYSDIR}/.magicrc \
	$(DESTDIR)${SYSDIR}/magicps.pro

install-tcl: $(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT} $(DESTDIR)${SYSDIR}/.magicrc \
	$(DESTDIR)${SYSDIR}/magicps.pro ${DEST_XBM}

$(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT}: tclmagic${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT}
	${CP} tclmagic${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/bitmaps/%: bitmaps/%
	${RM} $(DESTDIR)${TCLDIR}/bitmaps/$*
	${CP} bitmaps/$* $(DESTDIR)${TCLDIR}/bitmaps/$*

$(DESTDIR)${SYSDIR}/.magicrc: proto.magicrc
	${RM} $(DESTDIR)${SYSDIR}/.magicrc
	${CP} proto.magicrc $(DESTDIR)${SYSDIR}/.magicrc

$(DESTDIR)${SYSDIR}/magicps.pro: magicps.pro
	${RM} $(DESTDIR)${SYSDIR}/magicps.pro
	${CP} magicps.pro $(DESTDIR)${SYSDIR}/magicps.pro

include ${MAGICDIR}/rules.mak

=== net2ir/Makefile ===
#
# rcsid = "$Header: /usr/cvsroot/magic-8.0/net2ir/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE   = net2ir
MAGICDIR = ..
SRCS     = net2ir.c

EXTRA_LIBS  = ${MAGICDIR}/utils/libutils.a

include ${MAGICDIR}/defs.mak

tcl-main:
	echo "Nothing to do here"

main: net2ir

install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT}

install-tcl:
	echo "Nothing to do here"

include ${MAGICDIR}/rules.mak

=== readline/Makefile ===
MAGICDIR = ..

include ${MAGICDIR}/defs.mak

module: readline readline/libreadline.a readline/libhistory.a

depend:

readline:
	@if ( ! test -f readline/readline ) ; then \
	ln -s `ls | grep readline` readline ; \
	fi

readline/libhistory.a: readline/libreadline.a

readline/libreadline.a:
	@echo --- building GNU readline
	(cd readline; CC="${CC}" CFLAGS="${CFLAGS}" LOCAL_DEFS="${READLINE_DEFS}" ./configure --disable-shared ; ${MAKE})

clean:
	@if ( test -f readline/Makefile ) ; then \
	(cd readline && ${MAKE} distclean) ; \
	fi
	${RM} readline

=== scmos/Makefile ===
#######################################################################
#
#                     MOSIS distribution Version 8.2
#
#######################################################################
#
# The intent in magic version 7.2 was to convert all the "c" style
# files to m4.  However, given the number of files, and the fact that
# they are out of date and should all be replaced anyway, this doesn't
# seem to be worth the effort.  Therefore, some trivial things (like
# minimum.tech) have been converted to m4 and the rest have been left
# alone.
#
#######################################################################

MAGICDIR = ..

include ${MAGICDIR}/defs.mak

SC_M4 = ${M4}
SC_CPP = ${CPP} -I./extract_template

FILES = mos.7bit.dstyle mos.7bit.std.cmap \
	mos.24bit.dstyle mos.24bit.std.cmap \
	mos.7bit.mraster_dstyle mos.7bit.mraster.cmap \
	mos.OpenGL.dstyle mos.OpenGL.std.cmap
TECHFILES = minimum.tech gdsquery.tech scmos.tech scmos-tm.tech \
	scmos-sub.tech scmosWR.tech

CIFin   = cif_template/objs/CIFin
CIFout  = cif_template/objs/CIFout
ICIFin  = cif_template/objs/IBMCIFin
ICIFout = cif_template/objs/IBMCIFout
HCIFin  = cif_template/objs/TMCIFin
HCIFout = cif_template/objs/TMCIFout
SCIFin  = cif_template/objs/SUBCIFin
SCIFout = cif_template/objs/SUBCIFout

OBJS =$(CIFin) $(CIFout) $(HCIFin) $(HCIFout) $(SCIFin) $(SCIFout)

DEPEND = scmos.tech.in \
		extract_template/scmosExt.tech.in \
		extract_template/scmosExt26b-sub.tech.in \
		extract_template/scmosExt060_orb.tech.in \
		extract_template/scmosExt080.tech.in \
		extract_template/scmosExt100.tech.in \
		extract_template/scmosExt34.tech.in \
		extract_template/scmosExt14b-sub.tech.in \
		extract_template/scmosExtDiag.tech.in \
		extract_template/scmosExt14b-tm.tech.in 

all: $(OBJS) $(DEPEND) ${TECHFILES}

install-tcl: all
	for i in ${FILES} ${TECHFILES}; do \
		${CP} $$i $(DESTDIR)${SYSDIR}; done

install: all
	for i in ${FILES} ${TECHFILES}; do \
		${CP} $$i $(DESTDIR)${SYSDIR}; done

scmos.tech: $(OBJS)
	sed -e 's/\\/\\\\/' scmos.tech.in > scmos.tech.out
	$(SC_CPP) -DV5 -DSTANDARD scmos.tech.out > scmos.tech
	$(RM) scmos.tech.out

scmos-tm.tech: $(OBJS)
	sed -e 's/\\/\\\\/' scmos.tech.in > scmos.tech.out
	$(SC_CPP) -DV5 -DHPTECH -DTIGHTMETAL scmos.tech.out > scmos-tm.tech
	$(RM) scmos.tech.out

scmos-sub.tech: $(OBJS)
	sed -e 's/\\/\\\\/' scmos.tech.in > scmos.tech.out
	$(SC_CPP) -DV5 -DSUBMICRON scmos.tech.out > scmos-sub.tech
	$(RM) scmos.tech.out

scmosWR.tech: $(OBJS)
	sed -e 's/\\/\\\\/' scmos.tech.in > scmos.tech.out
	$(SC_CPP) -DV5 -DSTANDARD -DWELL_ROUTE_CHECK scmos.tech.out > scmosWR.tech
	$(RM) scmos.tech.out

minimum.tech: minimum.tech.m4
	$(SC_M4) minimum.tech.m4 > minimum.tech

gdsquery.tech: gdsquery.tech.m4
	$(SC_M4) gdsquery.tech.m4 > gdsquery.tech

$(CIFin):
$(CIFout):
$(ICIFin):
$(ICIFout):
$(HCIFin):
$(HCIFout):
$(SCIFin):
$(SCIFout):
	cd cif_template; ${MAKE} clean; ${MAKE};

$(DESTDIR)${SYSDIR}/%: %
	cp $* $(DESTDIR)${SYSDIR}/$*

clean:;
	-rm -f *.tech *.tech27
	cd cif_template && ${MAKE} clean;

=== debian/changelog ===
magic (8.0.210-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:33:57 +0000

magic (8.0.210-2) unstable; urgency=medium

  * Added 08-reproducible-build.patch to support reproducible builds,
    thanks to Chris Lamb (Closes: #778272)

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2016 14:16:27 +0100

magic (8.0.210-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jan 2016 17:20:41 +0100

=== debian/control ===
Source: magic
Section: electronics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
Standards-Version: 3.9.6
Homepage: http://www.opencircuitdesign.com/magic/

Package: magic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tclsh, wish
Suggests: irsim
Description: VLSI layout tool
 Magic is a venerable VLSI layout tool, written in the 1980's at Berkeley by
 John Ousterhout, now famous primarily for writing the scripting interpreter
 language Tcl. Due largely in part to its liberal Berkeley open-source license,
 magic has remained popular with universities and small companies. The
 open-source license has allowed VLSI engineers with a bent toward programming
 to implement clever ideas and help magic stay abreast of fabrication
 technology. However, it is the well thought-out core algorithms which lend to
 magic the greatest part of its popularity. Magic is widely cited as being the
 easiest tool to use for circuit layout, even for people who ultimately rely on
 commercial tools for their product design flow.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

override_dh_auto_install:
	dh_auto_install
	sed -i -e "s,/usr/bin/wish,$(shell readlink -f /usr/bin/wish)," debian/magic/usr/bin/magic

override_dh_auto_clean:
	dh_auto_clean
	-rm -f scripts/config.cache

## magic 8.1.214+ds.1

=== debian/changelog ===
magic (8.1.214+ds.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Priority changed from extra to optional
    - Maintainer changed to Debian Science Maintainers (Closes: #812749)
    - Myself added as uploader
    - dh-autoreconf and libglu1-mesa-dev added as build-dependencies
    - Standards version updated to 4.1.5
    - Added new VCS URLs
    - Fix whitespace error
  * debian/copyright:
    - Format field uses https
    - Updated some copyright years.
    - Added myself to listing for debian/*
    - Added Files-Excluded for embedded readline library
  * debian/gbp.conf:
    - Specify that pristine-tar is used
  * debian/lintian-overrides
    - Override some wrongly detected lintian errors
  * debian/patches:
    - 0008-Some-spelling-errors-fixed.patch - fix spelling errors
    - 0009-Tutorials-and-ps-files-installed-in-usr-share-doc-ma.patch
      - Put these files in FHS compliant directories
    - Refreshed all other patches and make them work with gbp-pq
  * debian/README.source:
    - Specify what is excluded in repacked source
  * debian/rules:
    - Set hardening flags
    - Use autoreconf instead of autools_dev
    - Added debian/autoreconf to specify directory to run autoreconf
  * debian/watch:
    - Add dversionmangle and oversionmangle in order to properly add +ds1
      suffix to upstream version
    - Updated watch file so that it looks for all versions in the 8.1.x range.
      Earlier it was watching only 7.x versions.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 Jul 2018 11:40:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,20 @@
 Source: magic
 Section: electronics
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), autotools-dev, mesa-common-dev, tcl-dev, tk-dev, blt-dev, csh, m4
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               mesa-common-dev,
+               libglu1-mesa-dev,
+               tcl-dev,
+               tk-dev,
+               blt-dev,
+               tcsh|csh,
+               m4
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/magic
+Vcs-Git: https://salsa.debian.org/science-team/magic.git
 Homepage: http://www.opencircuitdesign.com/magic/
 
 Package: magic
@@ -21,4 +31,4 @@
  technology. However, it is the well thought-out core algorithms which lend to
  magic the greatest part of its popularity. Magic is widely cited as being the
  easiest tool to use for circuit layout, even for people who ultimately rely on
- commercial tools for their product design flow. 
+ commercial tools for their product design flow.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
+
 
 override_dh_auto_install:
 	dh_auto_install

## magic 8.1.218%2Bds.1

=== debian/changelog ===
magic (8.1.218+ds.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 01 Nov 2018 18:53:00 +0100

magic (8.1.218+ds.1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 30 Oct 2018 19:42:41 +0100

magic (8.1.217+ds.1-1) unstable; urgency=medium

  * New upstream release
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.1 - no changes
    - Fixed URL to homepage
    - dh-autoreconf not needed anymore as build-dependency
  * debian/copyright:
    - Fixed URL to source
  * debian/rules:
    - --no-parallel added

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 12:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                mesa-common-dev,
                libglu1-mesa-dev,
                tcl-dev,
@@ -12,10 +11,10 @@
                blt-dev,
                tcsh|csh,
                m4
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/magic
 Vcs-Git: https://salsa.debian.org/science-team/magic.git
-Homepage: http://www.opencircuitdesign.com/magic/
+Homepage: http://opencircuitdesign.com/magic/
 
 Package: magic
 Architecture: any

## magic 8.1.220+ds.1

=== debian/changelog ===
magic (8.1.220+ds.1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 10:04:31 +0100

## magic 8.1.223+ds.1

=== Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/Makefile,v 1.1.1.1 2008/02/03 20:43:49 tim Exp $
#

MAGICDIR   = .
PROGRAMS   = magic
TECH       = scmos
LIBRARIES  = database utils extflat
MODULES    = cmwind commands database dbwind debug drc extflat extract \
	     graphics netmenu plow resis select sim textio tiles utils \
	     windows wiring

MAKEFLAGS  =
INSTALL_CAD_DIRS = windows doc ${TECH}

include defs.mak

all:	$(ALL_TARGET)

standard:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} mains 2>&1 | tee -a make.log | egrep -i "(.c:|Stop.|---)"

tcl:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} tcllibrary 2>&1 | tee -a make.log | egrep -i "(.c:|Stop.|---)"

force: clean all

defs.mak:
	@echo No \"defs.mak\" file found.  Run "configure" to make one.

config:
	${MAGICDIR}/configure

tcllibrary: database/database.h modules
	@echo --- making Tcl shared libraries
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} tcl-main); done

mains: database/database.h modules libs
	@echo --- making main programs
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} main); done

database/database.h: database/database.h.in
	@echo --- making header file database/database.h
	${SCRIPTS}/makedbh database/database.h.in database/database.h

modules:
	@echo --- making modules
	for dir in ${MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} module); done

libs:
	@echo --- making libraries
	for dir in ${LIBRARIES}; do \
		(cd $$dir && ${MAKE} lib); done

depend:	database/database.h
	${RM} */Depend
	for dir in ${MODULES} ${UNUSED_MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} depend); done

install: $(INSTALL_TARGET)

install-magic:
	@echo --- installing executable to $(DESTDIR)${BINDIR}
	@echo --- installing runtime files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-real 2>&1 >> install.log

install-real: install-dirs
	for dir in ${INSTALL_CAD_DIRS}; do \
		(cd $$dir && ${MAKE} install); done
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install); done

install-tcl-dirs:
	${MAGICDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${SYSDIR} $(DESTDIR)${TCLDIR} $(DESTDIR)${TCLDIR}/bitmaps

install-dirs:
	${MAGICDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${SYSDIR} $(DESTDIR)${SCMDIR}

install-tcl:
	@echo --- installing executable to $(DESTDIR)${BINDIR}
	@echo --- installing runtime files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-tcl-real 2>&1 >> install.log

install-tcl-real: install-tcl-dirs
	for dir in ${INSTALL_CAD_DIRS} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install-tcl); done

clean:
	for dir in ${MODULES} ${PROGRAMS} ${TECH} ${UNUSED_MODULES}; do \
		(cd $$dir && ${MAKE} clean); done
	${RM} *.tmp */*.tmp *.sav */*.sav *.log TAGS tags

distclean:
	touch defs.mak
	@${MAKE} clean
	${RM} defs.mak old.defs.mak ${MAGICDIR}/scripts/defs.mak
	${RM} ${MAGICDIR}/scripts/default.conf
	${RM} ${MAGICDIR}/scripts/config.log ${MAGICDIR}/scripts/config.status
	${RM} scripts/magic.spec magic-`cat VERSION` magic-`cat VERSION`.tgz
	${RM} *.log

dist:
	${RM} scripts/magic.spec magic-`cat VERSION` magic-`cat VERSION`.tgz
	sed -e /@VERSION@/s%@VERSION@%`cat VERSION`% \
	    scripts/magic.spec.in > scripts/magic.spec
	ln -nsf . magic-`cat VERSION`
	tar zchvf magic-`cat VERSION`.tgz --exclude CVS \
	    --exclude magic-`cat VERSION`/magic-`cat VERSION` \
	    --exclude magic-`cat VERSION`/magic-`cat VERSION`.tgz \
	    magic-`cat VERSION`

clean-mains:
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${RM} $$dir); done

tags:
	${RM} tags
	find . ${MODULES} ${PROGRAMS} -name "*.[ch]" -maxdepth 1 | xargs ctags -o tags

TAGS: 
	${RM} TAGS
	find . ${MODULES} ${PROGRAMS} -name "*.[ch]" -maxdepth 1 | xargs etags -o TAGS

=== magic/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	    ${MAGICDIR}/plow/libplow.o ${MAGICDIR}/utils/libutils.o \
 	    ${MAIN_EXTRA_LIBS}
 
-BITMAPS = up.xbm down.xbm left.xbm right.xbm zoom.xbm
+BITMAPS = up.xbm down.xbm left.xbm right.xbm zoom.xbm lock.xbm
 DEST_XBM = $(BITMAPS:%=$(DESTDIR)${TCLDIR}/bitmaps/%)
 
 DFLAGS += -DMAGIC_DATE="\"`date`\""
@@ -35,7 +35,8 @@
 	@echo --- making magic Tcl library \(tclmagic${SHDLIB_EXT}\)
 	${RM} tclmagic${SHDLIB_EXT}
 	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} ${LD_RUN_PATH} \
-		${EXTRA_LIBS} -lc ${LIBS}
+		${EXTRA_LIBS} ${LD_EXTRA_LIBS} -lc ${LIBS} \
+		${LIB_SPECS} ${LDFLAGS}
 
 proto.magicrc: proto.magicrc.m4
 	sed -e /CAD_DIR/s%CAD_DIR%${LIBDIR}%g proto.magicrc.m4 | \
@@ -45,7 +46,7 @@
 	$(DESTDIR)${SYSDIR}/magicps.pro
 
 install-tcl: $(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT} $(DESTDIR)${SYSDIR}/.magicrc \
-	$(DESTDIR)${SYSDIR}/magicps.pro ${DEST_XBM}
+	$(DESTDIR)${SYSDIR}/.initrc $(DESTDIR)${SYSDIR}/magicps.pro ${DEST_XBM}
 
 $(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT}: tclmagic${SHDLIB_EXT}
 	${RM} $(DESTDIR)${TCLDIR}/tclmagic${SHDLIB_EXT}
@@ -59,6 +60,10 @@
 	${RM} $(DESTDIR)${SYSDIR}/.magicrc
 	${CP} proto.magicrc $(DESTDIR)${SYSDIR}/.magicrc
 
+$(DESTDIR)${SYSDIR}/.initrc: proto.initrc
+	${RM} $(DESTDIR)${SYSDIR}/.initrc
+	${CP} proto.initrc $(DESTDIR)${SYSDIR}/.initrc
+
 $(DESTDIR)${SYSDIR}/magicps.pro: magicps.pro
 	${RM} $(DESTDIR)${SYSDIR}/magicps.pro
 	${CP} magicps.pro $(DESTDIR)${SYSDIR}/magicps.pro

=== tcltk/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/tcltk/Makefile,v 1.6 2010/06/24 12:37:56 tim Exp $
#

MODULE   = tcltk
MAGICDIR = ..
SRCS = tclmagic.c

include ${MAGICDIR}/defs.mak

DFLAGS += -DMAGIC_DATE="\"`date`\""
CLEANS += magic.sh magic.tcl magicexec magicdnull

TCL_FILES = \
	tkcon.tcl \
	tkshell.tcl \
	wrapper.tcl \
	console.tcl \
	techbuilder.tcl \
	cellmgr.tcl \
	libmgr.tcl \
	texthelper.tcl \
	tools.tcl \
	mazeroute.tcl \
	strip_reflibs.tcl \
	drc.tcl \
	toolkit.tcl \
	toolkit_rev0.tcl \
	bsitools.tcl \
	socketcmd.tcl \
	magic.tcl

BIN_FILES = \
	$(DESTDIR)${BINDIR}/magic.sh \
	$(DESTDIR)${BINDIR}/ext2spice.sh \
	$(DESTDIR)${BINDIR}/ext2sim.sh

tcl-main: magicexec magicdnull magic.tcl magic.sh ext2spice.sh ext2sim.sh

install-tcl: magicexec magicdnull ${BIN_FILES} ${TCL_FILES}
	${RM} $(DESTDIR)${TCLDIR}/magicexec
	${CP} magicexec $(DESTDIR)${TCLDIR}/magicexec
	${RM} $(DESTDIR)${TCLDIR}/magicdnull
	${CP} magicdnull $(DESTDIR)${TCLDIR}/magicdnull
	(cd $(DESTDIR)${TCLDIR}; ${RM} ${TCL_FILES})
	for i in ${TCL_FILES}; do \
		${CP} $$i $(DESTDIR)${TCLDIR}; done
	(cd $(DESTDIR)${TCLDIR}; chmod 0755 tkcon.tcl tkshell.tcl)

magicexec: magicexec.c ${MAGICDIR}/defs.mak
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS_NOSTUB} ${LDFLAGS} magicexec.c \
		-o magicexec ${LD_RUN_PATH} ${LIBS} ${LIB_SPECS_NOSTUB}

magicdnull: magicdnull.c ${MAGICDIR}/defs.mak
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS_NOSTUB} ${LDFLAGS} magicdnull.c \
		-o magicdnull ${LD_RUN_PATH} ${LIBS} ${LIB_SPECS_NOSTUB}

magic.tcl: magic.tcl.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g  \
	    -e /MAGIC_VERSION/s%MAGIC_VERSION%${MAGIC_VERSION}%g \
	    -e /MAGIC_REVISION/s%MAGIC_REVISION%${MAGIC_REVISION}%g \
            -e /SHDLIB_EXT/s%SHDLIB_EXT%${SHDLIB_EXT}%g magic.tcl.in > magic.tcl

magic.sh: magic.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g \
	    -e /TCLLIB_DIR/s%TCLLIB_DIR%${TCL_LIB_DIR}%g \
	    -e /WISH_EXE/s%WISH_EXE%${WISH_EXE}%g magic.sh.in > magic.sh

ext2spice.sh: ext2spice.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g ext2spice.sh.in > ext2spice.sh

ext2sim.sh: ext2sim.sh.in ${MAGICDIR}/defs.mak
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g ext2sim.sh.in > ext2sim.sh

$(DESTDIR)${TCLDIR}/%: %
	${RM} $(DESTDIR)${TCLDIR}/$*
	${CP} $* $(DESTDIR)${TCLDIR}/$*

$(DESTDIR)${BINDIR}/magic.sh: magic.sh
	${RM} $(DESTDIR)${BINDIR}/magic.sh $(DESTDIR)${BINDIR}/magic
	${CP} magic.sh $(DESTDIR)${BINDIR}/magic
	(cd $(DESTDIR)${BINDIR}; chmod 0755 magic)

$(DESTDIR)${BINDIR}/ext2spice.sh: ext2spice.sh
	${RM} $(DESTDIR)${BINDIR}/ext2spice
	${CP} ext2spice.sh $(DESTDIR)${BINDIR}/ext2spice
	(cd $(DESTDIR)${BINDIR}; chmod 0755 ext2spice)

$(DESTDIR)${BINDIR}/ext2sim.sh: ext2sim.sh
	${RM} $(DESTDIR)${BINDIR}/ext2sim
	${CP} ext2sim.sh $(DESTDIR)${BINDIR}/ext2sim
	(cd $(DESTDIR)${BINDIR}; chmod 0755 ext2sim)

include ${MAGICDIR}/rules.mak

=== debian/changelog ===
magic (8.1.223+ds.1-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 03 Feb 2019 23:52:23 +0100

magic (8.1.222+ds.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 29 Jan 2019 16:04:56 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                blt-dev,
                tcsh|csh,
                m4
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/magic
 Vcs-Git: https://salsa.debian.org/science-team/magic.git
 Homepage: http://opencircuitdesign.com/magic/

=== debian/watch ===
# until magic 8.2 is released as "stable", we stick to the 8.1.x line
version=3
opts=dversionmangle=s/\+ds\.\d+//,\
oversionmangle=s/$/\+ds\.1/ \
http://opencircuitdesign.com/magic/download.html .*magic-(8\.1\..*).tgz

## magic 8.2.102+ds.1

=== debian/changelog ===
magic (8.2.102+ds.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Added two new build-dependencies:  python3 and libcairo2-dev
  * debian/copyright: One new copyright holder
  * d/patches/0010-Use-MCPP-instead-SCPP.patch:
    - Fix a build issue
  * d/patches/0011-Add-bindings-to-scroll-with-shift-or-ctrl-pressed.patch:
    - Added a few useful macros for scrolling to proto.magicrc.in

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 28 Mar 2019 22:22:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                tk-dev,
                blt-dev,
                tcsh|csh,
+               python3,
+               libcairo2-dev,
                m4
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/magic

## magic 8.2.149+ds.1

=== debian/changelog ===
magic (8.2.149+ds.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 19:43:56 +0200

## magic 8.2.157%2Bds.1

=== graphics/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 TK_SRCS   = grTk1.c grTk2.c grTk3.c grTk4.c grTk5.c
 TOGL_SRCS = grTOGL1.c grTOGL2.c grTOGL3.c grTOGL4.c grTOGL5.c
 OGL_SRCS  = grOGL1.c grOGL2.c grOGL3.c grOGL4.c grOGL5.c
+TCAIRO_SRCS = grTCairo1.c grTCairo2.c grTCairo3.c grTCairo4.c grTCairo5.c
 
 GLYPHS = bw.glyphs color.glyphs
 OUTLINE_FONTS = FreeSerif.pt3 FreeSans.pt3 FreeMono.pt3
@@ -24,7 +25,7 @@
 
 SRCS    = ${BASE_SRCS} ${GR_SRCS}
 DEPSRCS = ${BASE_SRCS} ${X11_SRCS} ${TK_SRCS} ${TOGL_SRCS} ${TKCOMMON_SRCS} \
-		${OGL_SRCS} ${X11HELPER_SRCS} ${X11THREAD_SRCS}
+		${OGL_SRCS} ${X11HELPER_SRCS} ${X11THREAD_SRCS} ${TCAIRO_SRCS}
 OBJS    = ${BASE_SRCS:.c=.o} ${GR_SRCS:.c=.o}
 CFLAGS += ${GR_CFLAGS}
 DFLAGS += ${GR_DFLAGS}

=== tiles/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/tiles/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = tiles
MAGICDIR  = ..
SRCS      = tile.c search.c search2.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

## magic 8.2.157+ds.1

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	@echo --- making header file database/database.h
 	${SCRIPTS}/makedbh database/database.h.in database/database.h
 
-modules:
+modules: database/database.h depend
 	@echo --- making modules
 	for dir in ${MODULES} ${PROGRAMS}; do \
 		(cd $$dir && ${MAKE} module); done
@@ -58,6 +58,7 @@
 		(cd $$dir && ${MAKE} lib); done
 
 depend:	database/database.h
+	@echo --- making dependencies
 	${RM} */Depend
 	for dir in ${MODULES} ${UNUSED_MODULES} ${PROGRAMS}; do \
 		(cd $$dir && ${MAKE} depend); done

=== commands/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/commands/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = commands
MAGICDIR  = ..
SRCS      = CmdSubrs.c CmdAB.c CmdCD.c CmdE.c CmdFI.c \
            CmdLQ.c CmdRS.c CmdTZ.c CmdWizard.c CmdAuto.c

# Force the module to regenerate the symbolic link in the readline
# directory, as it may be needed by CmdFI.c (in the non-Tcl compile)

module: ${MAGICDIR}/readline/readline lib${MODULE}.o

${MAGICDIR}/readline/readline:
	@if ( ! test -f ${MAGICDIR}/readline/readline ) ; then \
	(cd ${MAGICDIR}/readline; ln -s `ls | grep readline` readline) ; \
	fi

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== debug/Makefile ===
#
# rcsid $Header: /usr/cvsroot/magic-8.0/debug/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $
#

MODULE    = debug
MAGICDIR  = ..
SRCS      = debugFlags.c hist.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== drc/Makefile ===
#
# rcsid "$Header: /usr/cvsroot/magic-8.0/drc/Makefile,v 1.1.1.1 2008/02/03 20:43:50 tim Exp $"
#

MODULE    = drc
MAGICDIR  = ..
SRCS      = DRCarray.c DRCbasic.c DRCcif.c DRCcontin.c DRCmain.c \
	    DRCsubcell.c DRCtech.c DRCprint.c DRCextend.c

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== gcr/Makefile ===
#
# rscid $Header:
#

MODULE    = gcr
MAGICDIR  = ..
SRCS      = gcrChannel.c gcrColl.c gcrDebug.c gcrEdge.c gcrFeas.c \
            gcrFlags.c gcrInit.c gcrLib.c gcrRiver.c gcrRoute.c gcrShwFlgs.c \
            gcrUnsplit.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== lisp/Makefile ===
#
# rscid $Header:
#

MODULE    = lisp
MAGICDIR  = ..
SRCS      = lispMain.c lispEval.c lispPrint.c lispParse.c lispA-Z.c \
            lispGC.c lispFrame.c lispTrace.c lispMagic.c lispArith.c \
            lispString.c lispIO.c 
SCMSRC    = default.scm box.scm label.scm draw.scm drc.scm \
            stack.scm layout.scm prs.scm help.scm gate.scm \
            sel.scm

include ${MAGICDIR}/defs.mak

INST_SCMSRC = ${SCMSRC:%=$(DESTDIR)${SCMDIR}/%}

install: ${INST_SCMSRC}

$(DESTDIR)${SCMDIR}/%: scm/%
	${CP} scm/$* $(DESTDIR)$(SCMDIR)/$*

include ${MAGICDIR}/rules.mak

=== magic/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 BITMAPS = up.xbm down.xbm left.xbm right.xbm zoom.xbm lock.xbm
 DEST_XBM = $(BITMAPS:%=$(DESTDIR)${TCLDIR}/bitmaps/%)
 
-DFLAGS += -DMAGIC_DATE="\"`date`\""
+DFLAGS += -DMAGIC_DATE="\"`date`\"" -DCAD_DIR="${LIBDIR}"
 LIBS   += ${GR_LIBS} ${READLINE_LIBS} -lm ${LD_EXTRA_LIBS} \
 		${OA_LIBS} ${TOP_EXTRA_LIBS}
 CLEANS += tclmagic${SHDLIB_EXT} libtclmagic${SHDLIB_EXT}.a proto.magicrc
@@ -35,12 +35,11 @@
 	@echo --- making magic Tcl library \(tclmagic${SHDLIB_EXT}\)
 	${RM} tclmagic${SHDLIB_EXT}
 	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} ${LD_RUN_PATH} \
-		${EXTRA_LIBS} ${LD_EXTRA_LIBS} -lc ${LIBS} \
-		${LIB_SPECS} ${LDFLAGS}
+		${EXTRA_LIBS} ${LD_EXTRA_LIBS} \
+		-lc ${LIBS} ${LIB_SPECS} ${LDFLAGS}
 
-proto.magicrc: proto.magicrc.m4
-	sed -e /CAD_DIR/s%CAD_DIR%${LIBDIR}%g proto.magicrc.m4 | \
-		${M4} ${GR_DFLAGS} ${DFLAGS} > proto.magicrc
+proto.magicrc: proto.magicrc.in
+	${SCPP} ${GR_DFLAGS} ${DFLAGS} proto.magicrc.in > proto.magicrc
 
 install: $(DESTDIR)${BINDIR}/${MODULE}${EXEEXT} $(DESTDIR)${SYSDIR}/.magicrc \
 	$(DESTDIR)${SYSDIR}/magicps.pro

=== scmos/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 include ${MAGICDIR}/defs.mak
 
 SC_M4 = ${M4}
-SC_CPP = ${CPP} -I./extract_template
+#SC_CPP = ${MCPP} -I./extract_template
+SC_CPP = ${SCPP} -I./extract_template
 
 FILES = mos.7bit.dstyle mos.7bit.std.cmap \
 	mos.24bit.dstyle mos.24bit.std.cmap \
@@ -79,11 +80,11 @@
 	$(SC_CPP) -DV5 -DSTANDARD -DWELL_ROUTE_CHECK scmos.tech.out > scmosWR.tech
 	$(RM) scmos.tech.out
 
-minimum.tech: minimum.tech.m4
-	$(SC_M4) minimum.tech.m4 > minimum.tech
+minimum.tech: minimum.tech.in
+	$(SC_M4) minimum.tech.in > minimum.tech
 
-gdsquery.tech: gdsquery.tech.m4
-	$(SC_M4) gdsquery.tech.m4 > gdsquery.tech
+gdsquery.tech: gdsquery.tech.in
+	$(SC_M4) gdsquery.tech.in > gdsquery.tech
 
 $(CIFin):
 $(CIFout):

=== sim/Makefile ===
#
# rscid $Header:
#

MODULE    = sim
MAGICDIR  = ..
SRCS      = SimDBstuff.c SimSelect.c SimRsim.c SimExtract.c 

include ${MAGICDIR}/defs.mak
include ${MAGICDIR}/rules.mak

=== doc/tutcells/Makefile ===
#
# makefile for Magic documentation
#

MAGICDIR = ../..

include ${MAGICDIR}/defs.mak

TUTDIR = ${LIBDIR}/magic/tutorial

TUTFILES= m3a.mag maint2a.mag tut1.mag \
    tut2a.mag tut2b.mag tut2c.mag tut2d.mag \
    tut3a.mag tut3b.mag tut3c.mag tut3d.mag tut3e.mag \
    tut3f.mag tut3g.mag tut3h.mag \
    tut4a.mag tut4x.mag tut4y.mag tut4z.mag \
    tut5a.mag tut5b.mag \
    tut6a.mag tut6b.mag tut6c.mag tut6x.mag tut6y.mag \
    tut7a.mag tut7b.mag tut7b.net tut7c.mag tut7d.mag tut7d.net \
    tut8a.mag tut8b.mag tut8c.mag tut8d.mag tut8e.mag tut8f.mag \
    tut8g.mag tut8h.mag tut8i.mag tut8j.mag tut8k.mag tut8l.mag \
    tut8m.mag tut8n.mag tut8r.mag \
    tut9a.mag tut9b.mag tut9x.mag tut9y.mag \
    tut11a.mag tut11b.mag tut11c.mag tut11d.mag \
    tut11a.al tut11a.cmd tut11a.ext tut11a.nodes tut11a.sim \
    tut11b.ext tut11c.ext tut11d.ext 

INST_TUTFILES= $(TUTFILES:%=$(DESTDIR)${TUTDIR}/%)

install: $(DESTDIR)${TUTDIR} ${INST_TUTFILES}

$(DESTDIR)${TUTDIR}: make-tut-dirs

make-tut-dirs:
	${SCRIPTS}/mkdirs $(DESTDIR)${TUTDIR}

$(DESTDIR)${TUTDIR}/%: % $(DESTDIR)${TUTDIR}
	${CP} $* $(DESTDIR)${TUTDIR}/$*

=== debian/changelog ===
magic (8.2.157+ds.1-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 07 Nov 2019 21:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                mesa-common-dev,
                libglu1-mesa-dev,
                tcl-dev,
@@ -13,7 +13,7 @@
                python3,
                libcairo2-dev,
                m4
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/magic
 Vcs-Git: https://salsa.debian.org/science-team/magic.git
 Homepage: http://opencircuitdesign.com/magic/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --no-parallel
 
 
 override_dh_auto_install:

=== debian/watch ===
# until magic 8.2 is released as "stable", we stick to the 8.1.x line
version=3
opts=dversionmangle=s/\+ds\.\d+//,\
oversionmangle=s/$/\+ds\.1/ \
http://opencircuitdesign.com/magic/download.html .*magic-(8\.2\..*).tgz
